Bug 887628 - [RFE] Enable opencl state-tracker
Summary: [RFE] Enable opencl state-tracker
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 984312
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-16 20:30 UTC by Fabian Deutsch
Modified: 2014-01-18 20:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-18 20:39:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
opencl.patch (3.09 KB, patch)
2014-01-08 15:50 UTC, Igor Gnatenko
no flags Details | Diff

Description Fabian Deutsch 2012-12-16 20:30:47 UTC
Description of problem:
AFAIK the OpenCL state tracker is part of mesa since it's 9.0 release, but it isn't enabled n Fedora.
Could the state tarcker be enabled?

Comment 1 Fabian Deutsch 2013-05-05 20:05:33 UTC
Any news on this?

Would be nice if this could be enabled.

Comment 2 Fabian Deutsch 2013-05-18 19:57:10 UTC
libclc needs packaging to enable this.

Comment 3 Fabian Deutsch 2013-07-14 12:31:03 UTC
An initial try to package libclc:
https://github.com/fabiand/libclc-spec/blob/master/libclc.spec

Once time permits it I'll do mock builds etcand submit a package review request.

But maybe got already some comments on it, Adam?

Comment 4 Fabian Deutsch 2013-07-14 19:21:46 UTC
libclc package review request is now in bug 984312

Comment 5 Fabian Deutsch 2013-07-16 14:53:05 UTC
Maybe once this is done this could be a candidate for a "self contained feature"

Comment 6 Fabian Deutsch 2013-07-17 15:32:22 UTC
WIP page: https://fedoraproject.org/wiki/User:Fabiand/Changes/OpenCL

Comment 7 Fabian Deutsch 2013-08-19 13:50:52 UTC
Dave,

would you be willing to apply this [1] icd patch to our mesa package until the reworked icd patches land (maybe for 9.3)?

[1] http://lists.freedesktop.org/archives/mesa-dev/2013-July/041689.html

Comment 8 Fabian Deutsch 2013-10-21 18:12:01 UTC
Dave,

no need to patch anymore. ICD support has landed in mesa's master - as you probably know.
Can we enable this in one of th enext snapshot builds? This will probably require some spec changes.

Comment 9 Igor Gnatenko 2014-01-08 14:29:33 UTC
Let me take this bug ;)

Comment 10 Igor Gnatenko 2014-01-08 15:50:58 UTC
Created attachment 847217 [details]
opencl.patch

WIP.

Comment 11 Fabian Deutsch 2014-01-11 20:38:49 UTC
Pushed the spec patch to github:

https://github.com/fabiand/mesa-spec/compare/master...opencl

Comment 12 Fabian Deutsch 2014-01-11 21:00:06 UTC
Open items:

mesa.icd needs to contain correct path
clinfo fails and has incorrect informations

Comment 13 Igor Gnatenko 2014-01-18 20:39:23 UTC
Pushed to rawhide.
http://pkgs.fedoraproject.org/cgit/mesa.git/commit/?id=6aae606725bd6f7ba75c15011f0a0850a6d2acd8

About frequency on AMD will create new bug.


Note You need to log in before you can comment on or make changes to this bug.